import { Seeder, SeederFactoryManager } from 'typeorm-extension';
import { DataSource } from 'typeorm';
import { User } from '@/entities/user.entity';
import { Category } from '@/entities/category.entity';
import { Product } from '@/entities/product.entity';
import { faker } from '@faker-js/faker';

export default class MainSeeder implements Seeder {
  async run(dataSource: DataSource, factoryManager: SeederFactoryManager): Promise<void> {
    const userFactory = factoryManager.get(User);
    const categoryFactory = factoryManager.get(Category);
    const productFactory = factoryManager.get(Product);

    await userFactory.saveMany(7);
    await userFactory.save({ displayName: 'User', username: 'user', password: '123456' });
    await userFactory.save({ displayName: 'Admin', username: 'admin', password: '123456', role: 'admin' });

    const categories = await categoryFactory.saveMany(3);

    await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) });
    await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) });
    await productFactory.saveMany(4, { category: faker.helpers.arrayElement(categories) });
  }
}
